<!-- -*- mode: markdown; mode: flyspell -*- -->
# bash-base Changelog

Based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to 
[Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [0.3.2] - 2018-10-08
### Added
+ added bb_exec

## [0.3.1] - 2018-09-26
### Added
+ added bb_logf

## [0.3.0] - 2018-04-11
### Added
+ hook function to be run at program exit can be (un)registered

### Changed
* prefixed `log`, `log_debug` and `fatal` with `bb_`
* traps are installed by default

### Removed
- `bb_traps_setup` and `bb_traps_disable` now just emit deprecated warning

## [0.2.5] - 2018-03-15
### Changed
* `bb_require_libs` supports absolute paths and search now is like docu says

## [0.2.4] - 2018-01-16
### Changed
* failures when loading bash-base in examples and docu now go to stderr

## [0.2.3] - 2018-01-16
### Changed
* fixed `bb_require_libs`

## [0.2.2] - 2018-01-16
### Changed
* smarter lib load paths

## [0.2.1] - 2018-01-16
### Added
+ `bb_require_libs`

### Removed
- Subdir in /usr/libexec

## [0.2] - 2018-01-16
### Added
+ First release
